Get a match lineup
GET/v1/matches/{matchId}/lineup
GET
/v1/matches/{matchId}/lineup
const url = 'https://api.ligr.live/rest/v1/matches/1/lineup';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v1/matches/1/lineup \ --header 'Authorization: Bearer <token>'Return the player lineup for a match.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”matchId
required
Entity identifier
integer format: int32
The match id
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
lineup
required
Array<object>
object
id
required
Entity identifier
integer format: int32
teamId
required
Entity identifier
integer format: int32
firstName
required
Default Player first name
string
lastName
required
Default Player first name
string
position
required
string
positionType
required
string
number
required
string
photoUrl
string
captain
required
boolean
starter
required
boolean
formationNumber
required
The player’s slot in the team’s formation layout, numbered from the goalkeeper through to the forwards. Null when no formation slot is assigned.
number format: double
lineupPosition
required
The player’s position in the team’s lineup ordering as managed in the control room. Null when no explicit lineup order is set.
number format: double
count
required
integer format: int32
Example
{ "count": 24}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Match not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}